## ktextwidgets 5.116.0+p24.04+vstable+git20251015.1018

=== debian/changelog ===
ktextwidgets (5.116.0+p24.04+vstable+git20251015.1018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:18:44 +0000

ktextwidgets (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:44:07 +1000

ktextwidgets (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:29:27 +0000

ktextwidgets (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:08:30 +0000

ktextwidgets (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:51:35 +0000

ktextwidgets (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 14:17:31 +0000

ktextwidgets (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:31:47 +0000

ktextwidgets (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Sep 2023 21:39:47 +0000

ktextwidgets (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:11:45 +0000

ktextwidgets (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:05:56 +0000

ktextwidgets (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:01:58 +0000

ktextwidgets (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:32:36 +0000

ktextwidgets (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:38:20 +0000

ktextwidgets (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:01:24 +0000

ktextwidgets (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:03:29 +0000

ktextwidgets (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:12:24 +0000

ktextwidgets (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:27:29 +0000

ktextwidgets (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:35:54 +0000

ktextwidgets (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:08:12 +0000

ktextwidgets (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:37:49 +0000

ktextwidgets (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:06:33 +0000

ktextwidgets (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:44:59 +0000

ktextwidgets (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 18:15:02 +0000

ktextwidgets (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:27:36 +0000

ktextwidgets (5.88.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 04:33:06 +0000

ktextwidgets (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:11:11 +0000

ktextwidgets (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:34 +0000

ktextwidgets (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:28:27 +0000

ktextwidgets (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:18:10 +0000

ktextwidgets (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:33 +0000

ktextwidgets (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:18:39 +0000

ktextwidgets (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:45 +0000

ktextwidgets (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:26:29 +0000

ktextwidgets (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:07:34 +0000

ktextwidgets (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:32:30 +0000

ktextwidgets (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:42:38 +0000

ktextwidgets (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:33:36 +0000

ktextwidgets (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:26:59 +0000

ktextwidgets (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:44:26 +0000

ktextwidgets (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:55:41 +0000

ktextwidgets (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:43:25 +0000

ktextwidgets (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:21:37 +0000

ktextwidgets (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:22:55 +0000

ktextwidgets (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:06:18 +0000

ktextwidgets (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:24:57 +0000



## ktextwidgets 5.116.0+p24.04+vstable+git20251020.0118

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.117.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts
project(KTextWidgets VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.116.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMAddQch)
include(ECMDeprecationSettings)
include(CMakeDependentOption)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KTEXTWIDGETS
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktextwidgets_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5TextWidgetsConfigVersion.cmake"
                  SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

# No QTextToSpeech in Qt6.2
if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Qt5 OPTIONAL_COMPONENTS TextToSpeech)
endif()
if (NOT Qt5TextToSpeech_FOUND)
    message(STATUS "Qt5TextToSpeech not found, speech feature will be disabled")
else()
    add_definitions(-DHAVE_SPEECH)
endif()

find_package(KF5Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Sonnet ${KF_DEP_VERSION} REQUIRED)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

add_definitions(-DTRANSLATION_DOMAIN=\"ktextwidgets5\")

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5TextWidgets")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5TextWidgets_QCH
        FILE KF5TextWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5TextWidgetsQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5TextWidgetsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5TextWidgetsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(EXPORT KF5TextWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5TextWidgetsTargets.cmake NAMESPACE KF5:: )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5TextWidgetsConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF5TextWidgetsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ktextwidgets_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KTextWidgets COMPONENT Devel
       )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
ktextwidgets (5.116.0+p24.04+vstable+git20251020.0118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:18:22 +0000

## ktextwidgets 5.116.0+p24.04+vstable+git20251220.0220

=== debian/changelog ===
ktextwidgets (5.116.0+p24.04+vstable+git20251220.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:20:58 +0000

## ktextwidgets 5.116.0+p24.04+vstable+git20251226.0202

=== debian/changelog ===
ktextwidgets (5.116.0+p24.04+vstable+git20251226.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:02:53 +0000

## ktextwidgets 5.116.0+p24.04+vunstable+git20251015.1113

=== debian/changelog ===
ktextwidgets (5.116.0+p24.04+vunstable+git20251015.1113-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:13:43 +0000

## ktextwidgets 5.116.0+p24.04+vunstable+git20251020.0309

=== debian/changelog ===
ktextwidgets (5.116.0+p24.04+vunstable+git20251020.0309-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:09:55 +0000

## ktextwidgets 5.116.0+p24.04+vunstable+git20251111.0554

=== debian/changelog ===
ktextwidgets (5.116.0+p24.04+vunstable+git20251111.0554-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 05:54:23 +0000

=== debian/control ===
Source: ktextwidgets
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5completion-dev (>= 5.51.0~),
               libkf5config-dev (>= 5.51.0~),
               libkf5configwidgets-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5service-dev (>= 5.51.0~),
               libkf5sonnet-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ktextwidgets
Vcs-Git: https://invent.kde.org/neon/kde/ktextwidgets.git
Vcs-Browser: https://invent.kde.org/neon/kde/ktextwidgets
Maintainer: Neon CI <neon@kde.org>

Package: libkf5textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Advanced text editing widgets.
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf5textwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5completion-dev (>= 5.51.0~),
         libkf5configwidgets-dev (>= 5.51.0~),
         libkf5iconthemes-dev (>= 5.51.0~),
         libkf5service-dev (>= 5.51.0~),
         libkf5sonnet-dev (>= 5.51.0~),
         libkf5textwidgets5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.51.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5textwidgets-doc (= ${source:Version})
Breaks: libkf5kdelibs4support-dev (<< 5.51),
        libkf5parts-dev (<< 5.51),
        libkf5textwidgets-doc (<< 5.61.90-0),
        libkf5xmlgui-dev (<< 5.51)
Replaces: libkf5textwidgets-doc (<< 5.61.90-0)
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.

Package: libkf5textwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5textwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Advanced text editing widgets.
 An assortment of text-related widgets
Breaks: kdesignerplugin (<< 5.51),
        kio (<< 5.51),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.51),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5texteditor5 (<< 5.51),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui5 (<< 5.51)

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/ktextwidgets-([\d.]+)\.tar\.xz

## ktextwidgets 5.116.0+p24.04+vunstable+git20251220.0230

=== debian/changelog ===
ktextwidgets (5.116.0+p24.04+vunstable+git20251220.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:30:35 +0000

## ktextwidgets 5.116.0+p24.04+vunstable+git20251224.0831

=== debian/changelog ===
ktextwidgets (5.116.0+p24.04+vunstable+git20251224.0831-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 08:31:42 +0000
